Bug 904329 - Review Request: perl-Data-Validate-Domain - Domain validation methods
Review Request: perl-Data-Validate-Domain - Domain validation methods
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 903826
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-26 05:04 EST by Normunds
Modified: 2014-04-03 09:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Data-Validate-Domain-0.10-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 09:46:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Normunds 2013-01-26 05:04:04 EST
Spec URL: http://unibackup.rule.lv/FedoraRPM/perl-Data-Validate-Domain.spec
SRPM URL: http://unibackup.rule.lv/FedoraRPM/perl-Data-Validate-Domain-0.10-1.fc16.src.rpm
Description: This module collects domain validation routines to make input validation, and
untainting easier and more readable.

All functions return an untainted value if the test passes, and undef if it
fails. This means that you should always check for a defined status explicitly.
Don't assume the return will be true. (e.g. is_username('0'))

The value to test is always the first (and often only) argument.

Fedora Account System Username: normunds
Comment 1 Normunds 2013-01-26 05:18:53 EST
All packages mentioned below were tested with rpmlint, mock (for i386 arch) and koji (16, 17, 18, 19, rawhide). These are my first packages for Fedora, so if you find something to improve in one of them, don't bother, I'll check other packages for reported problems.

Need sponsor.

bug 903824 perl-Convert-Age.spec
bug 903826 perl-Net-Domain-TLD.spec
bug 903829 perl-Time-Interval.spec
bug 904328 perl-Config-ApacheFormat.spec
bug 904329 perl-Data-Validate-Domain.spec
bug 904330 perl-Data-Validate-IP.spec
bug 904331 perl-Shell.spec

Thanks.
Comment 2 Petr Šabata 2013-01-29 09:47:47 EST
Removing FE-NEEDSPONSOR.
Comment 3 Normunds 2013-02-04 12:45:34 EST
Specfiles and packages updated according to lessons learned from the following reviewed bugs:

Bug 903824
bug 903829
bug 904328
Comment 4 Petr Pisar 2013-02-05 11:27:44 EST
URL and Source0 are usable. Ok.
Source tar ball is original (SHA-256: be17fbc945c8ab3faac8870bed99704c023919863e583c56b43e9df05ef7a39a). Ok.
Summary verified from lib/Data/Validate/Domain.pm. Ok.
Description verified from lib/Data/Validate/Domain.pm. Ok.
License verified from lib/Data/Validate/Domain.pm, and README. Ok.
No XS code, noarch BuildArch is Ok.

TODO: Qualify `perl(Net::Domain::TLD)' build- and run-requirement with `>= 1.62' constraint (META.yml:12).

Test::Pod::Coverage is optional. Ok.
Test::Pod is optional. Ok.

All tests pass. Ok.

$ rpmlint perl-Data-Validate-Domain.spec ../SRPMS/perl-Data-Validate-Domain-0.10-1.fc19.src.rpm ../RPMS/noarch/perl-Data-Validate-Domain-0.10-1.fc19.noarch.rpm
perl-Data-Validate-Domain.src: W: spelling-error %description -l en_US untainting -> tainting, unstinting, taunting
perl-Data-Validate-Domain.src: W: spelling-error %description -l en_US undef -> unfed, under, funded
perl-Data-Validate-Domain.src: W: spelling-error %description -l en_US username -> user name, user-name, surname
perl-Data-Validate-Domain.noarch: W: spelling-error %description -l en_US untainting -> tainting, unstinting, taunting
perl-Data-Validate-Domain.noarch: W: spelling-error %description -l en_US undef -> unfed, under, funded
perl-Data-Validate-Domain.noarch: W: spelling-error %description -l en_US username -> user name, user-name, surname
2 packages and 1 specfiles checked; 0 errors, 6 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Data-Validate-Domain-0.10-1.fc19.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Feb  5 17:20 /usr/share/doc/perl-Data-Validate-Domain-0.10
-rw-r--r--    1 root    root                     2231 Dec 29  2010 /usr/share/doc/perl-Data-Validate-Domain-0.10/Changes
-rw-r--r--    1 root    root                     9026 May 16  2007 /usr/share/doc/perl-Data-Validate-Domain-0.10/README
-rw-r--r--    1 root    root                     4734 Feb  5 17:20 /usr/share/man/man3/Data::Validate::Domain.3pm.gz
drwxr-xr-x    2 root    root                        0 Feb  5 17:20 /usr/share/perl5/vendor_perl/Data
drwxr-xr-x    2 root    root                        0 Feb  5 17:20 /usr/share/perl5/vendor_perl/Data/Validate
-rw-r--r--    1 root    root                    11838 Dec 29  2010 /usr/share/perl5/vendor_perl/Data/Validate/Domain.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Data-Validate-Domain-0.10-1.fc19.noarch.rpm | sort | uniq -c
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.16.2)
      1 perl(Net::Domain::TLD)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Data-Validate-Domain-0.10-1.fc19.noarch.rpm | sort | uniq -c
      1 perl(Data::Validate::Domain) = 0.10
      1 perl-Data-Validate-Domain = 0.10-1.fc19
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Data-Validate-Domain-0.10-1.fc19.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4930421). Ok.

Package is in line with Fedora and Perl packaging guidelines.

Resolution: Package APPROVED.
Comment 5 Normunds 2013-02-05 13:48:10 EST
Thank you for your review.

TODO - requirement with version fixed; Changed e-mail as requested in another review.
Comment 6 Normunds 2013-02-06 14:51:34 EST
New Package SCM Request
=======================
Package Name: perl-Data-Validate-Domain
Short Description: Domain validation methods Perl module
Owners: normunds psabata
Branches: f16 f17 f18
InitialCC: perl-sig
Comment 7 Gwyn Ciesla 2013-02-06 15:07:03 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-02-15 02:25:51 EST
perl-Data-Validate-Domain-0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Data-Validate-Domain-0.10-1.fc17
Comment 9 Fedora Update System 2013-02-15 03:17:04 EST
perl-Data-Validate-Domain-0.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Data-Validate-Domain-0.10-1.fc18
Comment 10 Fedora Update System 2013-02-25 21:30:47 EST
perl-Data-Validate-Domain-0.10-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2013-02-25 21:51:00 EST
perl-Data-Validate-Domain-0.10-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.